/* ESTILO NAVBAR SIN LOGUEAR */
.nav {
  position: sticky;
  display: grid;
  grid-template-columns: 1fr 3fr;
  margin: 1rem;
  padding: .5rem;
  top: 1rem;
  border-radius: 15px;
  border: 2px solid var(--primary);
  -webkit-backdrop-filter: saturate(200%) blur(30px);
  backdrop-filter: saturate(200%) blur(30px);
  background-color: rgba(255, 255, 255, 0.8) !important;
  box-shadow: 0 5px 6px -1px rgb(0 0 0 / 12%), 0 2px 4px -1px rgb(0 0 0 / 6%) !important;
  overflow: hidden;
  z-index: 2;

  /* Tamaño del logo */
  .logo img {
    width: 200px;
    height: 55px;
  }

  /* Estilos para el menú de navegación */
  .navbar {
    display: flex;
    flex-direction: column;
    justify-content: center;

    & ul {
      display: flex;
      justify-content: flex-end;

      & li {
        display: inline-block;

        /* Estilos a los links */
        & a {
          display: block;
          position: relative;
          text-decoration: none;
          text-align: center;
          font-family: var(--font-botones-nav);
          color: #C50E57;
          font-size: 18px;
          letter-spacing: 0.5px;
          margin-right: 40px;

          &::before {
            content: "";
            position: absolute;
            background-color: #C50E57;
            height: 4px;
            width: 100%;
            top: 20px;
            left: 0;
            bottom: 0;
            transform: scale(0, 1);
            transition: 0.4s;
          }

          &:hover::before {
            transform: scale(1, 1);
          }

          &.active::before {
            content: "";
            background-color: #C50E57;
            height: 4px;
            width: 100%;
            top: 20px;
            left: 0;
            bottom: 0;
            transform: scale(1, 1);
          }
        }
      }
    }
  }
}

/* Estilos responsive */
.menu-collapsed {
  margin-left: 32px;
  margin-top: 32px;
  display: block;
  position: relative;
  z-index: 1;
  appearance: none;
  background: none;
  border: none;
  outline: none;
  cursor: pointer;
}

.menu-collapsed span {
  display: block;
  width: 33px;
  height: 4px;
  margin-bottom: 5px;
  position: relative;
  background-color: #FF5C6F;
  border-radius: 6px;
  z-index: 1;
  transform-origin: 0 0;
  transition: 0.4s;
  font: 0px a;
}

.menu a:nth-child(3) {
  margin-right: 32px;
}

.menu-collapsed:hover span:nth-child(2) {
  transform: translateX(10px);
}

.menu-collapsed.is-active:hover span {
  background-color: #C50E57;
}

/* FIN ESTILOS NAVBAR SIN LOGUEAR*/

/* ESTILOS NAVBAR LOGUEADO */
.nav_logueado {
  position: relative;
  display: grid;
  grid-template-columns: 200px auto 60px;
  align-items: center;
  gap: 15px;
  height: 60px;
  background-color: var(--primary);
  padding: 0 10px;
  box-shadow: var(--box-shadow-card-3);
  z-index: 1;

  /* Tamaño del logo */
  .logo {
    position: absolute;
    left: 50px;
    width: 65px;
    height: 65px;
  }

  /* Tamaño de la foto de perfil */
  .foto_perfil {
    position: absolute;
    right: 0;
    height: 50px;
    width: 50px;

    & figure {
      height: 100%;
      width: 100%;
      border-radius: 50%;
      overflow: hidden;

      & img {
        transition: transform .3s ease;
      }
    }

    &:hover>figure img {
      transform: scale(1.1);
      cursor: pointer;
    }

    /* Menú desplegable de opciones */
    .perfil_opciones {
      position: absolute;
      z-index: 4;
      bottom: -height;
      left: -300px;
      width: 350px;
      height: auto;
      padding: 10px 20px;
      background: white;
      border: 3px solid var(--primary);
      border-radius: var(--border-radius);
      box-shadow: var(--box-shadow-card-2);
      transform: scale(0);
      transform-origin: right top;
      transition: transform 0.2s ease-out;

      &.mostrar {
        transform: scale(1);
      }

      .content-foto_info {
        height: 55px;
      }

      /* Estilo para los link de opciones */
      .lista_opciones {
        display: flex;
        flex-direction: column;
        gap: 10px;

        & li {
          display: flex;
          align-items: center;
          gap: 10px;
          min-height: 40px;
          max-height: auto;
          padding-left: 10px;
          border-radius: var(--border-radius);
          transition: background-color .3s;
          color: var(--grey);

          &:hover {
            cursor: pointer;
            background-color: var(--background);
            color: var(--text);
          }

          & i {
            font-size: 20px;
          }

          .titulo span {
            padding-left: 10px;
          }
        }

        .li-nth2 {
          .p-panelmenu .p-panelmenu-header-action {
            border-radius: var(--border-radius);
            padding: 10px;
            gap: 10px;
            color: var(--grey);

            &:hover {
              cursor: pointer;
              background-color: var(--background);
            }
          }
        }
      }
    }
  }
}

.nav_logueado .p-element .p-divider.p-divider-horizontal {
  margin: 10px 0;
}

/* Estilo del contenedor del menú de navegación */
.nav_logueado .menu_nav {
  position: absolute;
  right: 50px;
  display: flex;
  width: 100%;
  justify-content: flex-end;
  align-items: center;

  /* Estilo de los links */
  & a {
    font-weight: 600;
    font-family: var(--font-botones-nav);
    text-decoration: none;
    color: white;
    border: 2px solid var(--primary);
    border-radius: var(--border-radius-nav);
    transition: all 0.3s ease;
    padding: 10px;

    &:is(:hover, .active) {
      background: white;
      color: var(--primary);
    }
  }

  .p-element .p-badge {
    background-color: white;
    color: var(--primary);
  }
}

.menu__hamburguer {
  display: none;
}

/* FIN ESTILOS NAVBAR LOGUEADO */

@media (min-width: 568px) {
  .menu-collapsed {
    display: none;
  }
}

@media (300px < width < 750px) {
  .nav_logueado {
    position: relative;
    display: flex;
    justify-content: space-between;
    width: 100%;
    /* Tamaño del logo */
    .logo {
      display: none;
    }
  }

  .menu__hamburguer {
    display: inline-block;
  }

  .menu__hamburguer .menu__open {
    filter: invert(1)
  }

  .menu__hamburguer .menu__close {
    position: absolute;
    right: 20px;
    z-index: 10;
    display: none;
  }

  .menu__hamburguer .menu__close.active {
    display: inline-block;
    animation: fadeIn 0.3s forwards;
  }

  /* Estilo del contenedor del menú de navegación */

  .nav_logueado .menu_nav {
    position: absolute;
    top: 0;
    right: 0;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 25px;
    height: 100dvh;
    width: 100%;
    padding: 20px;
    padding-top: 40px;
    transform: translateX(100%);
    background-color: hsl(0, 0%, 98%);
    animation: fadeOut .5s forwards;
    z-index: 5;
    display: none;

    & a {
      color: rgb(152, 146, 146);
      border: none;
    }
  }



  .nav_logueado .menu_nav.open {
    display: flex;
    animation: fadeIn .5s forwards;
  }

  @keyframes fadeIn {
    from {
      transform: translateX(100%);
      border-radius: 50%;
    }
    to {
      transform: translateX(0);
      border-radius: 0;
    }
  }
}
